///home/berryj/link/bin/genMethods "-g" "-t" "Graph*" "-h" "Sequence" "-r" "Collection<Graph*>" "-I" "LINK/basic/Sequence.h" "-I" "LINK/graph/Graph.h" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/graph/Graph.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Graph* _Graph_;
typedef Sequence<Graph* > _Sequence_Graph__;
static Sequence<Graph* > s__Sequence_Graph__;

#define _Sequence_Graph__DATA(x) ((Sequence<Graph* >*) (EXTDATA(x)))
#define _Sequence_Graph__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Graph* > >::type))
#define _Sequence_Graph__ISNT_DATA(x) (!_Sequence_Graph__IS_DATA(x))

#define _Sequence_Graph__CXX_DATA(x) (*(Sequence<Graph* >*) (EXTDATA(VAL(x))))
#define _Sequence_Graph__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Graph* > >::type))
#define _Sequence_Graph__CXX_ISNT_DATA(x) (!_Sequence_Graph__CXX_IS_DATA(x))


PRIMITIVE STk_init__Sequence_Graph__()
{
	Wrapper<_Sequence_Graph__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Sequence_Graph__>::name, 
			Wrapper<Collection<Graph*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Graph_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Graph_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Graph_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Sequence_Graph__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Sequence_Graph__Methods(void);

PRIMITIVE STk_init_methods__Sequence_Graph__()
{
	genExtra_Sequence_Graph__Methods();
	return UNDEFINED;
}
